class String
  def sms recepient_10dgt, provider = :smsru
    require 'uri'
    require 'net/http'

    setup = {
        :smsru => {
          :uri => 'http://sms.ru/sms/send',
          :params => {
            :api_id => Rails.application.secrets.sms_ru_api_key || CONFIG[:sms_ru][:api_key],
            :to => "7#{recepient_10dgt}",
            :text => self
          }
      }
    }

    uri = URI setup[provider][:uri]
    uri.query = URI.encode_www_form setup[provider][:params]

    Net::HTTP.get_response uri

  end
end